<div>
    <h2 id="page-heading">
        <span>Cards</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-card" [routerLink]="['/card/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Card
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cards?.length === 0">
        <span>No cards found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cards && cards.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Abbreviation</span></th>
                    <th scope="col" ><span>Description</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Type</span></th>
                    <th scope="col" ><span>Photo</span></th>
                    <th scope="col" ><span>Require Applicant</span></th>
                    <th scope="col" ><span>Member Validity</span></th>
                    <th scope="col" ><span>Member Fee</span></th>
                    <th scope="col" ><span>Member Fee Vat</span></th>
                    <th scope="col" ><span>Additional Member</span></th>
                    <th scope="col" ><span>Additional Member Fee</span></th>
                    <th scope="col" ><span>Number Of Transfer</span></th>
                    <th scope="col" ><span>Transfer Fee</span></th>
                    <th scope="col" ><span>Annual Fee</span></th>
                    <th scope="col" ><span>Annual Fee Vat</span></th>
                    <th scope="col" ><span>Age Min</span></th>
                    <th scope="col" ><span>Age Max</span></th>
                    <th scope="col" ><span>Visa Period</span></th>
                    <th scope="col" ><span>Active Start Date</span></th>
                    <th scope="col" ><span>Active End Date</span></th>
                    <th scope="col" ><span>Member Information Agreement</span></th>
                    <th scope="col" ><span>Member Package Agreement</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let card of cards ;trackBy: trackId">
                    <td><a [routerLink]="['/card', card.id, 'view']">{{ card.id }}</a></td>
                    <td>{{ card.name }}</td>
                    <td>{{ card.abbreviation }}</td>
                    <td>{{ card.description }}</td>
                    <td>{{ card.status }}</td>
                    <td>{{ card.type }}</td>
                    <td>{{ card.photo }}</td>
                    <td>{{ card.requireApplicant }}</td>
                    <td>{{ card.memberValidity }}</td>
                    <td>{{ card.memberFee }}</td>
                    <td>{{ card.memberFeeVat }}</td>
                    <td>{{ card.additionalMember }}</td>
                    <td>{{ card.additionalMemberFee }}</td>
                    <td>{{ card.numberOfTransfer }}</td>
                    <td>{{ card.transferFee }}</td>
                    <td>{{ card.annualFee }}</td>
                    <td>{{ card.annualFeeVat }}</td>
                    <td>{{ card.ageMin }}</td>
                    <td>{{ card.ageMax }}</td>
                    <td>{{ card.visaPeriod }}</td>
                    <td>{{ card.activeStartDate | date:'medium' }}</td>
                    <td>{{ card.activeEndDate | date:'medium' }}</td>
                    <td>{{ card.memberInformationAgreement }}</td>
                    <td>{{ card.memberPackageAgreement }}</td>
                    <td>{{ card.remark }}</td>
                    <td>{{ card.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/card', card.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/card', card.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(card)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
